## com.vividsolutions.jts.awt
Interface PointShapeFactory

All Known Implementing Classes:
  SqarePointShapeFactory

public interface PointShapeFactory

An interface for classes which create `Shape`s to represent point geometries. Java2D does not provide an actual point shape, so some other shape must be used to render points (e.g. such as a Rectangle or Ellipse).

Author:
  Martin Davis

Method Summary
`java.awt.Shape` `createPoint(java.awt.geom.Point2D point)` Creates a shape representing a point.

Method Detail

### createPoint

    public java.awt.Shape createPoint(java.awt.geom.Point2D point)

  Creates a shape representing a point.

  Parameters:
    `point` - the location of the point
  Returns:
    a shape